Bug 479027 - usb 1-1: device not accepting address NN, error -71
usb 1-1: device not accepting address NN, error -71
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 11:06 EST by Bernd Hentig
Modified: 2015-01-19 07:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:31:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernd Hentig 2009-01-06 11:06:55 EST
Description of problem:

My USB hub is no longer recognized as USB 2.0 device, but downgraded to 1.1 automatically. So writing e.g. to an SD card never ends.

/var/log/messages prints zillions of these kernel error messages after connecting the USB hub to any USB 2.0 port:

Jan  6 16:36:28 bernd kernel: usb 1-1: new high speed USB device using ehci_hcd and address 20
Jan  6 16:36:28 bernd kernel: usb 1-1: device descriptor read/64, error -71
Jan  6 16:36:29 bernd kernel: usb 1-1: device not accepting address 21, error -71
...

Finally, the device is connected but runs at 1.1 speed:

Jan  6 16:36:32 bernd kernel: hub 1-0:1.0: unable to enumerate USB device on port 1
Jan  6 16:36:32 bernd kernel: usb 2-1: new full speed USB device using ohci_hcd and address 3
Jan  6 16:36:32 bernd kernel: usb 2-1: not running at top speed; connect to a high speed hub
Jan  6 16:36:32 bernd kernel: usb 2-1: configuration #1 chosen from 1 choice
Jan  6 16:36:32 bernd kernel: scsi5 : SCSI emulation for USB Mass Storage devices
Jan  6 16:36:32 bernd kernel: usb 2-1: New USB device found, idVendor=058f, idProduct=6377
Jan  6 16:36:32 bernd kernel: usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jan  6 16:36:32 bernd kernel: usb 2-1: Product: Mass Storage Device
Jan  6 16:36:32 bernd kernel: usb 2-1: Manufacturer: Generic
Jan  6 16:36:37 bernd kernel: scsi 5:0:0:0: Direct-Access     Generic  USB SD Reader    1.00 PQ: 0 ANSI: 0
Jan  6 16:36:37 bernd kernel: sd 5:0:0:0: [sdb] Attached SCSI removable disk
Jan  6 16:36:37 bernd kernel: sd 5:0:0:0: Attached scsi generic sg3 type 0


The device works without any errors under Fedora Core 5,6,7 (Kernel 2.6.20) on the same hardware. The device works without any problems under Windows 2000 or XP on the same hardware.
Same error in Ubuntu 8.10 BTW.

Tried all 2.6.27.7,8,9 kernels but no change.


Version-Release number of selected component (if applicable):

Kernel 2.6.27.7|8|9

How reproducible:

Install this device on any Fedora 10 machine:
ID 058f:6377 Alcor Micro Corp. Multimedia Card Reader


Steps to Reproduce:
1. Attach USB hub to USB 2.0 port.
2. tail -f /var/log/messages

  
Actual results:

Most USB hubs no longer working under Fedora 10 (last known version to run was Fedora 7).
Checked with other Alcor and Kingston hubs, same or similar problems.
No problems under Windows 2000 or XP.

Expected results:

Device running at USB 2.0 speed without any errors in the log files.

Additional info:
Is this a kernel bug?
Comment 1 Bernd Hentig 2009-01-07 05:47:51 EST
Checked today with FC7 and Kernel 2.6.21 again - device works perfectly, so the problem was introduced between linux 2.6.22 and 2.6.27.
Will test with FC8 and other kernels in the next days, maybe we can find out more.
Comment 2 Pete Zaitcev 2009-01-16 19:11:37 EST
I see "works on the same hardware" in the original report, but I saw hardware
failing during installation before, so it may be a failure of the Host
Controller (HC).

The key is to get two kernels (old - working, and new - broken) onto the
same box. Usually it's easier to take an old userland, like F-9 and install
an F-10 kernel on it with just rpm, or rpm --force. Then it's only one
reboot to get back to old kernel.

Once there, I'll need two usbmon traces from the old and new.
Comment 3 Bug Zapper 2009-11-18 04:44:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:31:03 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.